Use this API to purge the cache of a group’s dependency proxy.

Purge the dependency proxy for a group

DELETE /api/v4/groups/{id}/dependency_proxy/cache

Purges the dependency proxy for a specified group and schedules the cached manifests and blobs for deletion. This endpoint requires the Owner role for the group.

Parameters

NameTypeDescription
id
Path, required
String or integerID or URL-encoded path of the group

Responses

CodeDescriptionSchema
202Accepted—
400Bad Request—
401Unauthorized—
404Not Found—